org.apache.tapestry5.internal.transform

## Class ReadOnlyComponentFieldConduit

- java.lang.Object
- - org.apache.tapestry5.internal.transform.ReadOnlyComponentFieldConduit

- All Implemented Interfaces:
    FieldConduit<Object>

      public abstract class ReadOnlyComponentFieldConduit
      extends Object
      implements FieldConduit<Object>

  An implementation of `FieldConduit` for a read-only component field. Subclasses provide an implementation of the `FieldConduit.get(Object, org.apache.tapestry5.plastic.InstanceContext)` method.
  Since:
    5.2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadOnlyComponentFieldConduit(ComponentResources resources, String fieldName)`
    `ReadOnlyComponentFieldConduit(String qualifiedFieldName)`
    `ReadOnlyComponentFieldConduit(String className, String fieldName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `set(Object instance, InstanceContext context, Object newValue)` Invoked when the field's value is updated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tapestry5.plastic.FieldConduit

      `get`

- - ### Constructor Detail

    - #### ReadOnlyComponentFieldConduit

          public ReadOnlyComponentFieldConduit(String qualifiedFieldName)

    - #### ReadOnlyComponentFieldConduit

          public ReadOnlyComponentFieldConduit(String className,
                                               String fieldName)

    - #### ReadOnlyComponentFieldConduit

          public ReadOnlyComponentFieldConduit(ComponentResources resources,
                                               String fieldName)

  - ### Method Detail

    - #### set

          public void set(Object instance,
                          InstanceContext context,
                          Object newValue)

      Description copied from interface: `FieldConduit`
      Invoked when the field's value is updated.
      Specified by:
        `set` in interface `FieldConduit<Object>`
      Parameters:
        `instance` - the instance containing the field
        `context` - (see `ClassInstantiator.with(Class, Object)`)
        `newValue` - value assigned to the field

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.